このページはAIにより自動翻訳されており、不正確な内容が含まれている可能性があります。翻訳の誤りを報告するには、 GitHubでイシューを作成してください.
カスタム属性をエクスポートする
get
/custom_attributes
このエンドポイントを使用して、アプリに記録されたカスタム属性のリストをエクスポートできます。属性は50件ずつのグループに分けられ、アルファベット順にソートされて返されます。
前提条件
このエンドポイントを使用するには、custom_attributes.get 権限を持つ API キーが必要です。
レート制限
このエンドポイントには、1時間あたり1,000リクエストの共有レート制限が適用されます。このレート制限は、APIレート制限に記載されているように、/events、/events/list、および /purchases/product_list エンドポイントと共有されます。
クエリパラメーター
このエンドポイントへの各コールでは50件の属性が返されます。50件を超える属性については、次のレスポンス例に示すように、Link ヘッダーを使用して次のページのデータを取得します。
| パラメーター | 必須 | データタイプ | 説明 |
|---|---|---|---|
cursor |
オプション | 文字列 | カスタム属性のページネーションを決定します。 |
リクエスト例
カーソルなし
1
2
3
curl --location --request GET 'https://rest.iad-01.braze.com/custom_attributes' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR-REST-API-KEY'
カーソル付き
1
2
3
curl --location --request GET 'https://rest.iad-03.braze.com/custom_attributes?cursor=c2tpcDow' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR-REST-API-KEY'
応答
1
2
3
4
5
6
7
8
9
10
11
12
13
14
{
"message": (required, string) the status of the export, returns 'success' when completed without errors,
"attributes" : [
{
"array_length": 100, (number) the maximum array length, or null if not applicable,
"data_type": "Number", (string) the data type,
"description": "The attribute description", (string) the attribute description,
"name": "The attribute name", (string) the attribute name,
"status": "Active", (string) the attribute status,
"tag_names": ["Tag One", "Tag Two"] (array) the tag names associated with the attribute formatted as strings,
},
...
]
}
致命的なエラーの応答コード
リクエストで致命的なエラーが発生した場合に返されるステータスコードと関連するエラーメッセージについては、致命的なエラーを参照してください。
New Stuff!